# SPDX-FileCopyrightText: 2025 Julius Deynet <julius.deynet@stud-mail.uni-wuerzburg.de>
#
# SPDX-License-Identifier: GPL-3.0-or-later

#awk '$3 == "gene" { 
#    tss = ($7 == "+") ? $4 : $5; 
#    print $1, tss-1, tss, $10, 0, $7 
#}' OFS="\t" homo_sapiens.90.gtf | tr -d '";' > ChIP-seq/peak_calling/output_tss.bed

bedtools sort -i output_tss.bed > output_tss_sorted.bed

# extend peak summit by 2000 bp upstream
bedtools slop -i output_tss_sorted.bed -g hg38.genome -s -l 2000 -r 0 \
> JH477_A375_MYC_promoter_upstream.bed

wc -l JH477_A375_MYC_promoter_upstream.bed # 11,096
head -n 50 JH477_A375_MYC_promoter_upstream.bed # 11,096

# count Input and MYC ChIP-seq reads in 1 kb window around peak summit
bedtools bamtobed -i ../ChIP-seq/bams/MYC.DMSO.bam | bedtools sort -i stdin > temp.bed && bedtools coverage -counts -a JH477_A375_MYC_promoter_upstream.bed -b temp.bed > coverage_JH477_A375_MYC_promoter_upstream_MYC.bed

bedtools bamtobed -i ../ChIP-seq/bams/Input.merged.bam | bedtools sort -i stdin > temp.bed && bedtools coverage -counts -a JH477_A375_MYC_promoter_upstream.bed -b temp.bed > coverage_JH477_A375_MYC_promoter_upstream_Input.bed

# Counts were normalized according to the mouse spike-in and input signal was subtracted from MYC signal in R.


bedtools slop -i output_tss_sorted.bed -g hg38.genome -s -r 2000 -l 0 \
> JH477_A375_MYC_promoter_downstream.bed

wc -l JH477_A375_MYC_promoter_downstream.bed # 11,096
head -n 50 JH477_A375_MYC_promoter_downstream.bed # 11,096

# count Input and MYC ChIP-seq reads in 1 kb window around peak summit
bedtools bamtobed -i ../ChIP-seq/bams/MYC.DMSO.bam | bedtools sort -i stdin > temp.bed && bedtools coverage -counts -a JH477_A375_MYC_promoter_downstream.bed -b temp.bed > coverage_JH477_A375_MYC_promoter_downstream_MYC.bed

bedtools bamtobed -i ../ChIP-seq/bams/Input.merged.bam | bedtools sort -i stdin > temp.bed && bedtools coverage -counts -a JH477_A375_MYC_promoter_downstream.bed -b temp.bed > coverage_JH477_A375_MYC_promoter_downstream_Input.bed

# Counts were normalized according to the mouse spike-in and input signal was subtracted from MYC signal in R.
